#!/usr/bin/env node
"use strict";
/* tslint:disable:no-console */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// This is a wrapper for yarn. If an install or publish fails, it checks if a FRAMER_TOKEN
// is set and suggests how to create one if it isn't.
const child_process_1 = require("child_process");
const chalk_1 = __importDefault(require("chalk"));
const yarn_1 = require("./yarn");
const interceptedYarnCommands = ["add", "remove", "publish", "upgrade", "upgrade-interactive"];
const command = process.argv[2];
const { status } = child_process_1.spawnSync("node", [yarn_1.yarnPath, ...process.argv.slice(2)], {
    cwd: process.cwd(),
    env: process.env,
    stdio: "inherit",
});
if (status === 0) {
    process.exit(status);
}
if (!process.env.FRAMER_TOKEN && interceptedYarnCommands.indexOf(command) > -1) {
    console.log(`📦 Does your project contain a package from a private Framer Store?`);
    console.log(chalk_1.default `❌ Missing {bold FRAMER_TOKEN} environment variable.`);
    console.log(chalk_1.default `🔑 Please run {bold {underline npx framer-cli authenticate <your@email.com>}} to obtain your {bold FRAMER_TOKEN}.`);
    process.exit(1);
}
