import ts from "typescript";
export declare function toSourceCode(node: ts.Node, source?: ts.SourceFile): string;
export declare function printAllChildren(node: ts.Node, depth?: number): void;
export declare function referencesIdentifier(node: ts.Node, name: string): boolean;
export declare function instrumentVisitor(node: ts.Node): ts.Node;
export declare enum EntityType {
    Component = "component",
    Override = "override",
    Action = "action",
    Device = "device",
    DeviceSkin = "deviceSkin"
}
interface ExportedEntity {
    name: string;
    children?: boolean;
    type: EntityType;
}
export declare function buildInfoExport(entities: ExportedEntity[]): ts.Statement;
export declare function analyzeAndExportComponents(ctx: ts.TransformationContext): ts.Transformer<ts.SourceFile>;
export {};
