declare type Config = {
    output: LogOutput;
    level: LogLevel;
};
export declare enum LogLevel {
    debug = 0,
    info = 1,
    log = 2,
    warn = 3,
    error = 4
}
export declare enum LogOutput {
    debug = "debug",
    silent = "silent"
}
export declare enum LogTypes {
    debug = "debug",
    info = "info",
    log = "log",
    warn = "warn",
    error = "error"
}
declare type log = (message?: any, ...optionalParams: any[]) => void;
export declare class Logger {
    private _enabled;
    [LogTypes.debug]: log;
    [LogTypes.info]: log;
    [LogTypes.log]: log;
    [LogTypes.warn]: log;
    [LogTypes.error]: log;
    static config: Config;
    static configure: ({ output, level, }: {
        output?: LogOutput | undefined;
        level?: LogLevel | undefined;
    }) => void;
    constructor(prefix: string, enabled?: boolean);
    enabled: boolean;
    private wrapLogger;
}
export {};
