/// <reference types="node" />
import { YarnCommandResult } from "../types";
export declare const yarnPath: string;
export interface YarnConfig {
    defaults?: string[];
}
export declare enum YarnCommands {
    add = "add",
    check = "check",
    info = "info",
    install = "install",
    link = "link",
    list = "list",
    publish = "publish",
    remove = "remove",
    unlink = "unlink",
    upgrade = "upgrade"
}
export declare enum YarnDependencyTypes {
    dep = "dependency",
    peer = "peer",
    dev = "dev",
    dependency = "dependency",
    peerDependency = "peer",
    devDependency = "dev"
}
export declare class Yarn {
    private readonly defaults;
    private env;
    constructor({ defaults }?: YarnConfig);
    add(packageName: string, version?: string, type?: YarnDependencyTypes): Promise<YarnCommandResult>;
    check(): Promise<YarnCommandResult>;
    info(packageName: string, info: string): Promise<YarnCommandResult>;
    install(...args: string[]): Promise<YarnCommandResult>;
    link(packageName: string): Promise<YarnCommandResult>;
    publish(...args: string[]): Promise<YarnCommandResult>;
    remove(dependency: string): Promise<YarnCommandResult>;
    unlink(packageName: string): Promise<YarnCommandResult>;
    list(...args: string[]): Promise<YarnCommandResult>;
    upgrade(packageName: string, version?: string): Promise<YarnCommandResult>;
    private run;
    setEnv(env: NodeJS.ProcessEnv): void;
}
